* {
  box-sizing: border-box;
}

body {
  margin: 0 auto;
  background: url('./assets/background.jpg') no-repeat center center fixed;
  background-size: cover;
  min-height: 100vh;
  font-family: -apple-system, BlinkMacSystemFont, sans-serif;
  color: white;
  padding: 40px 20px;
}

.wrapper {
  width: 100%;
  max-width: 600px;
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin: 0 auto;
}

@media (max-width: 768px) {
  body {
    background-attachment: scroll;
  }
}

.wrapper {
  width: 100%;
  max-width: 600px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.profile-card {
  background: rgba(25, 25, 25, 0.7);
  backdrop-filter: blur(8px);
  border-radius: 20px;
  padding: 30px;
  text-align: center;
  box-shadow: 0 10px 40px rgba(0,0,0,0.6);
}


.avatar {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 15px;
}

.name {
  margin: 0;
  font-size: 26px;
  justify-content: center;
}

.aka {
  color: #aaaaaa;
  margin-top: 5px;
  justify-content: center;
  font-size: 14px;
}

.socials {
  margin-top: 20px;
  display: flex;
  justify-content: center;
  gap: 15px;
  flex-wrap: wrap;
}

.socials a {
  text-decoration: none;
  padding: 8px 16px;
  background: rgba(22, 22, 22, 0.5);
  border-radius: 50px;
  color: white;
  font-weight: bold;
  transition: 0.2s;
  justify-content: center;
}

.socials a:hover {
  transform: scale(1.08);
  background: rgb(49, 179, 231);
}

.spotify-card {
  position: relative;
  background: rgba(25, 25, 25, 0.7);
  backdrop-filter: blur(8px);
  border-radius: 20px;
  padding: 20px;
  box-shadow: 0 10px 40px rgba(0,0,0,0.6);
  transition: box-shadow 0.3s ease;
}

.badge {
  position: absolute;
  top: 15px;
  right: 15px;
  font-size: 11px;
  padding: 5px 10px;
  border-radius: 20px;
  font-weight: 600;
  letter-spacing: 0.5px;
}

.badge.live {
  background: rgb(49, 179, 231);
  color: black;
}

.badge.last {
  background: #2a2a2a;
  color: #aaaaaa;
}

.cover {
  width: 90px;
  height: 90px;
  border-radius: 10px;
}

.track-info {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.title {
  font-weight: bold;
}

.artist {
  color: #aaa;
  font-size: 14px;
}

.progress-bar {
  height: 4px;
  background: #333;
  border-radius: 10px;
  overflow: hidden;
  margin-top: 10px;
}

.progress {
  height: 100%;
  width: 0%;
  background: rgb(49, 179, 231);
  transition: width 1s linear;
}

.time {
  font-size: 12px;
  color: #aaa;
  display: flex;
  justify-content: space-between;
  margin-top: 5px;
}

.description {
  background: rgba(25, 25, 25, 0.7);
  backdrop-filter: blur(8px);
  border-radius: 20px;
  padding: 30px;
  text-align: center;
  box-shadow: 0 10px 40px rgba(0,0,0,0.6);
}
